<template>
  <v-app>
    <v-app-bar app>
      <v-icon>fas fa-globe</v-icon> - Geo Mulit Point APP
      <v-spacer></v-spacer>
      <helpButton></helpButton>
    </v-app-bar>

    <v-main class="mapp">
      <mapp @newPoint="setPoint" @clearPoint="clearPoint" @setPoint="setPoint">
      </mapp>
      <v-card class="search">
        <v-card-title>
          <v-text-field
            label="Score"
            disabled
            :value="score.value + ' ' + score.unit"
          ></v-text-field>
          <v-switch v-model="mKM"></v-switch
        ></v-card-title>
      </v-card>
      <div class="point">
        <pointSet @update="updateScore"></pointSet>
      </div>
    </v-main>
    <v-footer app> Michal Goryszewski</v-footer>
  </v-app>
</template>

<script>
import { mapActions } from "vuex";
import mapp from "./components/map";
import pointSet from "./components/pointSet";
import helpButton from "./components/help";

export default {
  components: { mapp, pointSet, helpButton },
  name: "App",
  computed: {
    score: function() {
      let unit = "KM";

      let value = this.score_form_api;
      if (this.mKM) {
        value *= 1000;
        unit = "M";
      }

      return { value: value.toFixed(2), unit };
    }
  },

  data: () => ({
    point1: { id: 0, longitude: 0, latitude: 0 },
    point2: { id: 1, longitude: 0, latitude: 0 },

    mKM: false,
    i: 0,
    score_form_api: 0
  }),
  methods: {
    ...mapActions([, "actionSetPoint", "actionClearPoint"]),
    updateScore: function(event) {
      this.score_form_api = event;
    },
    clearPoint() {
      this.actionClearPoint();
    },
    setPoint: function(event) {
      this.actionSetPoint(event);
    }
  }
};
</script>

<style scoped>
.search {
  position: absolute;
  left: 5px;
  top: 5px;
  /* width: 200px; */
  z-index: 22;
}
.point {
  position: absolute;
  left: 5px;
  top: 110px;
}
.mapp {
  position: relative;
}
</style>
